####################################################################
## GXV33xx Change Log                                             ##
####################################################################
####################################################################
# P Values Added since GXV3370/50 1.0.3.57                        ##
####################################################################
# Updated Enable TR-069 default value
# Fixed some typos in the alias template

# Added Baudisch Door System Number
#1 - 30 : P29202 - P29260 (increase by 2)
#31 - 79: P55202 - P55298 (increase by 2)
#80 - 100: P60202 - P60242 (increase by 2)
# alias not available

# Added Baudisch System Address
#1 - 30: P29201 - P29259 (increase by 2)
#31 - 79: P55201 - P55297 (increase by 2)
#80 - 100: P60201 - P60241 (increase by 2)
# alias not available
####################################################################
# P Values Added since GXV3370/50 1.0.3.55, GXV3380 1.0.3.56      ##
####################################################################
# Added default value for Hostname (Option 12)
# Added Open Door option value 27 and GDSOpenDoor to GXV3370 MPK
####################################################################
# P Values Added since GXV3370 1.0.3.53/GXV3350 1.0.3.52          ##
####################################################################
# Removed Handset TX Gain.
# P1464 / audio.handset.txGain

# Removed RJ9 Headset TX Gain (dB).
# P1301 / audio.headset.txGain

# Removed RJ9 Headset RX Gain (dB).
# P1302 / audio.headset.rxGain

# Removed 3.5mm Earphone TX Gain (dB).
# P22002 / audio.3.5mmearphone.txGain

# Handset RX Gain (dB)
# P2906 / audio.handset.rxGain

# Notes: The configurable range from the configuration template does not fully cover the reasonable TX/RX ranges. Additionally, default values may be mismatched because they vary based on the models and hardware. This discrepancy can result in some configured values, when applied to a model, causing the RX/TX levels to be either too high or too low. This can lead to user discomfort, as the change may go unnoticed during provisioning. Moreover, these unexpected values can negatively impact the device’s performance. So the TX/RX configurations are removed from template and GDMS template.
####################################################################
# P Values Added since GXV3350 1.0.3.52                           ##
####################################################################
####################################################################
# P Values Added since GXV3370 1.0.3.52                           ##
####################################################################
# Added P-values and alias for "Applications - Remote Phonebook" section
# Phonebook 1 Display Name.
# P22427, 22431, 22435
# Alias: remote.phonebook.x.display.name
# Phonebook 1 URL
# P22428, 22432, 22436
# Alias: remote.phonebook.x.url
# Phonebook 1 Username
# P22429, 22433, 22437
# Alias: remote.phonebook.x.username
# Phonebook 1 Password
# P22430, 22434, 22438
# Alias: remote.phonebook.x.password
# Remote Phonebook Update Interval (m)
# P22426
# Alias: remote.phonebook.download.interval

# Added Enable User Web Access.
# P8469
# Alias: security.webAccess.user.enable
####################################################################
# P Values Added since GXV3350 1.0.3.48                           ##
####################################################################
# (None)
####################################################################
# P Values Added since GXV3370 1.0.3.48                           ##
####################################################################
# Added Enable Enterprise Directory
# P8621

# Added Server Type
# P8622

# Added Server Address
# P8623

# Added Enterprise Directory Auth Type
# P8624

# Added Username
# P8625

# Added Password
# P8626

# Added SIP Account
# P8627
####################################################################
# P Values Added since GXV3350 1.0.3.47                           ##
####################################################################
# Added Enable Headset
# P22520
# Alias: lockdown.handset

# Preferred Default Account
# P29612
# Alias: call.dial.preferredAccount
####################################################################
# P Values Added since GXV3370 1.0.3.46                           ##
####################################################################
# Added NTP Update Interval
# P5005
# Alias: dateTime.ntp.updateInterval

# Added Enable Self-Defined Time Zone
# P27828
# Alias: not assigned yet

# Added Enable USB Port. 
# P22036
# Alias: not assigned yet

# Added Enable SD Card. 
# P22035
# Alias: not assigned yet

####################################################################
# P Values Added since GXV3350 1.0.3.44                           ##
####################################################################
# Added alias for SNMP settings.
####################################################################
# P Values Added since GXV3350 1.0.3.40                           ##
####################################################################
# SNMP Settings
# Enable SNMP. 0 - No, 1 - Yes. Default value is 0
P21896

# Version. 1 - Version 1, 2 - Version 2, 3 - Version 3
# Number: 1, 2, 3
P21904

# Port
P21903

# Username
P21905

# Security Level. 0 - NoAuthNoPriv, 1 - AuthNoPriv, 2 - AuthPriv
P21910

# Authentication Protocol. 1 - MD5, 2 - SHA
P21906

# Authentication Key
P21908

# Privacy Protocol. 1 - DES, 2 - AES
P21907

# Privacy Key
P21909

# Trap Version. 1 - Trap Version 1, 2 - Trap Version 2, 3 - Trap Version 3
P21899

# Trap IP Address
P21897

# Trap Port
P21898

# Trap Interval(m). 
P21901

# Trap Community
P21900

# Trap Username
P21911

# Trap Security Level. 0 - NoAuthNoPriv, 1 - AuthNoPriv, 2 - AuthPriv
P21916

# Trap Authentication Protocol. 1 - MD5, 2 - SHA
P21912

# Trap Authentication Key 
P21914

# Trap Privacy Protocol. 1 - DES, 2 - AES
P21913

# Trap Privacy Key
P21915

# Event Notification
# Bootup Completed
P8304
ons.actionUrl.setupCompleted

# Incoming Call
P8310
ons.actionUrl.incomingCall

# Outgoing Call
P8311
ons.actionUrl.outgoingCall

# Off-hook
P8308
ons.actionUrl.offHook

# On-hook
P8309
ons.actionUrl.onHook

# Missed Call
P8312
ons.actionUrl.missedCall

# Connected
P8313
ons.actionUrl.establishedCall

# Disconnected
P8314
ons.actionUrl.terminatedCall

# DND On
P8316
ons.actionUrl.openDnd

# DND Off
P8317
ons.actionUrl.closedDnd

# Forward On
P8318
ons.actionUrl.openForward

# Forward Off
P8319
ons.actionUrl.closedForward

# Blind Transfer
P8320
ons.actionUrl.blindTransfer

# Attended Transfer
P8321
ons.actionUrl.attendedTransfer

# On Hold
P8324
ons.actionUrl.holdCall

# Unhold
P8325
ons.actionUrl.unholdCallopenSyslog

# Log On
P8330
ons.actionUrl.openSyslog

# Log Off
P8331
ons.actionUrl.setupCompleted

# Register
P8305
ons.actionUrl.registered

# Unregister
P8306
ons.actionUrl.unregistered
####################################################################
# P Values Added since GXV3370 1.0.3.38                           ##
####################################################################
# Updated alias for Allow DHCP Option 43 and Option 66 to Override Server
# No, Yes, Fallback
####################################################################
# P Values Added since GXV3370 1.0.3.36                           ##
####################################################################
# Added Network Settings -> Affinity Support
# P8334
# affinity.enable

# Added Network Settings -> Preferred Account
# P8335
# affinity.preferredAccount
####################################################################
# P Values Added since GXV3350 1.0.3.35                           ##
####################################################################
# Added Preferences -> LCD & LED Management -> Screen Timeout (secnond)
# P1412
# lcd.blacklight.activeTimeout.sec

# Added Preferences -> LCD & LED Management -> Screensaver Timeout (secnond)
# P1413
# lcd.screensaver.timeout.sec

# Added LCD Settings -> Display -> Using Server Wallpaper
# P2916
# lcd.wallpaper.source

# Added LCD Settings -> Display -> Server Wallpaper Path
# P2917
# lcd.wallpaper.serverPath

# Added LCD Settings -> Display -> Screen Saver -> Use Network Images
# P6759
# lcd.screensaver.source

# Added LCD Settings -> Display -> Screen Saver -> Network Image Path
# P934
# lcd.screensaver.serverPath
####################################################################
# P Values Added since GXV3370 1.0.3.28                           ##
####################################################################
# Added Account Settings -> Maximum Number of SIP Request Retries

# Added Account Settings -> Failback Expiration (m)

# Added Network Settings -> Advanced Network Settings -> Separate Ethernet & Wi-Fi Traffic
# P22418
# network.separate.ethwifi.enable

# Added Network Settings -> Advanced Network Settings -> Maximum Transmission Unit (MTU)
# P244
# network.mtu
####################################################################
# P Values Added since GXV3380 1.0.3.27                           ##
####################################################################
# Added Account Settings -> Maximum Number of SIP Request Retries
# 60055, 60155, 60255, 60355, 60455, 60555, 60655, 60755, 60855, 60955, 61055, 61155, 61255, 61355, 61455, 61555
# Alias: account.{x}.network.maxNumOfRetries

# Added Account Settings -> Failback Expiration (m)
# 60056, 60156, 60256, 60356, 60456, 60556, 60656, 60756, 60856, 60956, 61056, 61156, 61256, 61356, 61456, 61556
# Alias: account.{x}.network.failbackTimer
####################################################################
# P Values Added since GXV3370 1.0.3.27                           ##
####################################################################
# Added Request reboot after provision. 0 - No, 1 - Yes. Default is 0
# P22421

# Added Search Field Filter
# ldap.searchFieldFilter
# P27806

# Added Use route set in NOTIFY (Follow RFC 6665)
# account.{x}.sip.notify.route
# P60059,60159,60259,60359,60459,60559,60659,60759,60859,60959,61059,61159,61259,61359,61459,61559

# Added Keep Associated Account
# phonebook.import.associatedAccount
# P22440

# Added Mute Key Functions While Idle (GXV3350 only)
# Alias: keys.custom.mute.idle
# P1565

# Updated alias name for DNS SRV Failover Mode
####################################################################
# P Values Added since 1.0.3.25                                   ##
####################################################################
# Added private,line for Enable SCA settings, equals to 0.
# Added shared, sharedline for Enable SCA settings, equals to 1. (known issue: these 2 values are not applied correctly)

# Added P-value to Mute ringtone for Account Ringtone 
# Mute	ringtone_silence

# Added P-value 17 / alias "Menu" for Send URL in Programmable Key
####################################################################
# P Values Added since 1.0.3.21                                   ##
####################################################################
# Updated Automatic Upgrade P-value to P22296

# Removed Echo Delay
# Removed RJ9 Headset RX Gain, Handset RX Gain, 3.5mm Earphone RX Gain (dB)

# Added Web Access Control
# security.webAccessControl
# P22374

# Added Web Access Control List
# security.webAccessControl.list
# P22375

# Added Self-defined Time Zone
# dateTime.timezone.custom
# P246

# Added Call Function Button Display Timeout (s)
# call.buttons.display.timeout
# P22385

# Added VQ RTCP-XR Session Report.
# audio.report.enable
# P8489

# Added VQ RTCP-XR Interval Report.
# audio.report.interval.enable
# P8490

# Added VQ RTCP-XR Interval Report Period (s). 
# audio.report.interval
# P8491

# Added Warning Threshold for MOSLQ
# audio.report.warning.moslq.threshold
# P8492

# Added Critical Threshold for MOSLQ
# audio.report.critical.moslq.threshold
# P8493

# Added Warning Threshold for Delay (ms)
# audio.report.warning.delay.threshold
# P8494

# Added Critical Threshold for Delay (ms)
# audio.report.critical.delay.threshold
# P9485

# Added VQ RTCP-XR Collector Name
# account.{x}.audio.report.collector.name
# P26093,26193,26293,26393,26493,26593,52693,52793,52893,52993,53093,53193,53293,53393,53493,53593

# Added VQ RTCP-XR Collector Address 
# account.{x}.audio.report.collector.address
# P26094,26194,26294,26394,26494,26594,52694,52794,52894,52994,53094,53194,53294,53394,53494,53594

# Added VQ RTCP-XR Collector Port 
account.{x}.audio.report.collector.port
P26095,26195,26295,26395,26495,26595,52695,52795,52895,52995,53095,53195,53295,53395,53495,53595

# Added IPv6 Static Gateway
# network.port.eth.1.ipv6.static.gateway
# P22366

# Removed RJ9 Headset RX Gain (dB), 3.5mm Earphone RX Gain (dB), Handset RX Gain (dB)
# The device is using automatic adjustment now
####################################################################
# P Values Added since 1.0.3.19                                   ##
####################################################################
# Added Echo Delay
# Alias: audio.HDMI.echoDelay

# Added Randomized Automatic Upgrade in Alias template
# <item name="provisioning.randomized.enable">No</item>
####################################################################
# P Values Added since 1.0.3.9                                   ##
####################################################################
# (None)
####################################################################
# P Values Added since 1.0.1.19                                   ##
####################################################################
# Added Account -> General Setting -> Register Before DNS SRV Fail-over
# P29095,29195,29295,29395,29495,29595,53695,53795,53895,53995,54095,54195,54295,54395,54495,54595
# Alias: <item name="account.1.network.dnsSRVRegisterBeforeFailover">No</item>

# Updated Account -> SIP Settings -> Add MAC in User-Agent and Use MAC Header options

# Updated Account -> SIP Settings -> Add MAC in User-Agent and Use MAC Header options

# Added Account -> Call Settings -> Enable Video Call.
P60343, 60143,60243,60343,60443,60543,60643,60743,60843,60943,61043,61143,61243,61343,61443, 61543
# Alias: <item name="account.1.call.video.enable">Default</item>

# Added Account -> Call Settings -> Enable Call Waiting
# P26063,26163,26263,26363,26463,26563,52663,52763,52863,52963,53063,53163,53263,53363,53463,53563
# Alias: <item name="account.1.call.callWaiting">Default</item>

# Added options to Account -> Advanced Settings -> Special Features
# 122 - Metaswitch, 129 - Telefonica Spain

# Added Phone Settings -> Call Settings -> Default Phone APP
# P22289

# Phone Settings -> Call Settings -> Quickly Launch Specified APP.
# P22276
# Alias: <item name="call.thirddialer.packagename"></item>

# Added Group Listen with Speaker. 0 - No, 1 - Yes. Default is 0.
# P22163
# Alias: <item name="call.grouplistenwithspeaker.enable">No</item>

# Added DNS Refresh Time (m). Default 0.
# P4208
# Alias: <item name="network.dns.refreshTime">0</item>

# DNS Failure Cache Duration (m).  Default 0.
# P28160
# Alias: <item name="network.dns.failureCacheDuration">0</item>

# Added Action URI Support. 0 - No, 1 - Yes. Default is 1
# P32050
# Alias: <item name="remoteControl.enable">Yes</item>

# Added Remote Control Pop up Window Support. 0 - No, 1 - Yes. Default is 1
# P32051
# Alias: <item name="remoteControl.confirmWindow.enable">Yes</item>

# Added Action URI Allow IP List
# P32052
# Alias: <item name="remoteControl.allowList"></item>

# Added Ringtone volume
# P8352
# Alias: <item name="audio.volume.ring">7</item>

# Added Media volume
# P43025
# Alias: <item name="audio.volume.media">7</item>

# Added Alarm volume
# P22332
# Alias: <item name="audio.volume.alarm">7</item>

# Added Call volume
# P22317
# Alias: <item name="audio.volume.call">4</item>

# Added Plug in RJ9/EHS headset
# P1375
# Alias: <item name="audio.headset.ehs.enable">No</item>

# Added Display Open Door Button when Calling
# P22316=0
# Alias: <item name="externalService.general.doorButton.display">Yes</item>

# Added Enable Preview
# P22357=1
# Alias: <item name="externalService.general.preview.enable">Yes</item>

# Removed Video FEC Mode
####################################################################
# P Values Added since 1.0.1.14                                   ##
####################################################################
# Removed Use Quick IP-Call Mode.
# P184 = 0

# Added Return Code When Refusing Incoming Call.
# P8360=0

# Added Return Code When Enable DND
# P8361=0

# Adde Advanced Network Settings -> Advanced Network Settings -> CSTA Control.
# P32053=0

# Adde System Settings -> Security Settings -> TLS -> Minimum TLS Version
# P22293

# System Settings - Security Settings - TLS - Maximum TLS Version
# P22294

# System Settings - Security Settings - TLS - Enable Weak TLS Cipher Suites
# P8536

# alias template:
<!-- Added Use P-Access-Network-Info Header -->
<item name="account.1.sip.header.pani">Yes</item>
		
<!-- Added Use P-Emergency-Info Header -->
<item name="account.1.sip.header.pei">Yes</item>

<!-- Added Add MAC in User-Agent -->
<item name="account.1.sip.useragent.mac">No</item>

<!-- Added Enable Function for Incoming Call -->
<item name="call.incomingcall.function">None</item>

<!-- Added Enable Auto Record When Call Established -->
<item name="call.autoRecording.enable">No</item>

<!-- Added CSTA Control -->
<item name="remoteControl.csta.enable">No</item>
####################################################################
# P Values Added since initial firmware                           ##
####################################################################
# Added Different Network for Data and VOIP Calls.
# P22104

# Added Address Type.
#P22105 = 0

# Added IP Address.
#P22106 =

# Added Subnet Mask.
#P22107 =

# Added Default Gateway.
#P22108 =

# Added DNS Server 1.
#P22109 =

# Added DNS Server 2.
#P22110 =

# Added Layer 2 QoS. 802.1Q/VLAN Tag(Ethernet) for VOIP Calls.
#P22111 = 0

# Added Layer 2 QoS. 802.1p priority value(Ethernet) for VOIP Calls.
#P22112 = 0

# Added Enable Auto Record When Call Established.
#P22295 = 0

# Minimum TLS Version
# P22293= 0

# Maximum TLS Version
# P22294 = 99

# Enable Weak TLS Cipher Suites
# P8536 = 1
####################################################################
## Change Log End                                                 ##
####################################################################